Bug 225968 - [exp-run] Update math/mpc to 1.1.0
Summary: [exp-run] Update math/mpc to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-17 01:31 UTC by Gerald Pfeifer
Modified: 2018-03-10 17:48 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
Proposed patch (1.05 KB, patch)
2018-02-17 01:31 UTC, Gerald Pfeifer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2018-02-17 01:31:29 UTC
Created attachment 190710 [details]
Proposed patch

Given there is a fair number of direct and indirect dependencies,
an exp-run appears to be a good idea.  Thanks for your help!
Comment 1 Antoine Brodin freebsd_committer 2018-02-21 11:51:15 UTC
Exp-run looks fine.
Comment 2 commit-hook freebsd_committer 2018-03-10 17:25:34 UTC
A commit references this bug:

Author: gerald
Date: Sat Mar 10 17:24:34 UTC 2018
New revision: 464079
URL: https://svnweb.freebsd.org/changeset/ports/464079

Log:
  Update to libmcp version 1.1.0 which brings the following changes:
   - New functions:
     . mpc_cmp_abs
     . mpc_rootofunity
   - Rewrite of the testing framework and a new mpcbench tool, used with
     `make bench`.
   - Bug fixes and improvements of existing functions:
     . Fixed compilation with mpfr 4.0.0.
     . Fixed handling of over- and underflows with directed rounding in the
       "other direction" for mpc_cos, mpc_sin, mpc_exp and mpc_pow
     . Fixed a bug in mpc_atan(0,y) with |y| near 1.
   - Minimally required dependencies are now gmp 5.0.0 and mpfr 3.0.0
     (way below what the standard Ports Collection provides).

  PR:		225968
  Tested by:	antoine (exp-run)

Changes:
  head/math/mpc/Makefile
  head/math/mpc/distinfo
Comment 3 Gerald Pfeifer freebsd_committer 2018-03-10 17:48:50 UTC
Thank you for your help testing this, Antoine!  Much appreciated.